Hooks:PostHook(HostNetworkSession, "on_set_member_ready", "MHiCS_HostNetworkSession_on_set_member_ready", function(self, peer_id, ready, ...)
	if not managers.crime_spree:is_active() or not MHiCS.settings.more or not MHiCS.settings.enabled then
		return
	end
	if ready then
		local all_ready = true
		for _, peer in pairs(self._peers_all) do
			if not peer:waiting_for_player_ready() and not MHiCS.ip_sit_out[peer:ip()] then
				all_ready = false
			end
		end
		
		if all_ready then
			for ip, _ in pairs(MHiCS.ip_sit_out) do
				local peer = managers.network:session():peer_by_ip(ip)
				if peer then
					MHiCS:SendMessage(peer:id(), MHiCS._network.do_reconn, nil)
				end
			end
		end
	end
end)